> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Share personalization results

> Create shared request for viewing personalization's result page without authorization



## OpenAPI

````yaml /automation.api.json post /personalizations/{personalizationId}/results/share
openapi: 3.0.3
info:
  title: OpenAPI definition for automation API
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account. You can retrieve it to
      view its properties, such as its current email address or locale. With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> The API does not expose all
      settings. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag helps our clients implement new features, test and deploy
      them via our SDK. This service allows you to create and configure the
      feature flag that your source code uses.
    name: Feature flag
  - description: >
      You can use your account to set up multiple websites. This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment. It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that already exists, such as user account
      information.
    name: Custom data
  - description: >-
      Experiment is an A/B test which can target a specific audience or any
      other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      link to one or several goals. The Kameleoon interface or Automation API
      can manage all goals. There are variety of different goals you can choose
      from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that Kameleoon
      has now renamed `KeyMoment` to `Triggers`.
    name: Key moment
  - description: >-
      Key page allows you to target visitors that have visited a particular
      page, or multiple pages on your website.
    name: Key page
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: Project theme config
  - description: This is an object representing a recommender block
    name: Recommender block
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors. You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: Studio recommender block
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: Takeaway comment
  - description: >-
      A targeting rule is a system entity that combines segments (user groups)
      and triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: Targeting rule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that you can edit for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started. Kameleoon saves all changes in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: Widget studio
  - description: This is an object representing widget studio template
    name: Widget studio template
  - description: Widget template setting API
    name: Widget template setting
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      A personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Goal campaign
    description: >-
      Retrieve experiments that use a specific goal, optionally filtered by
      whether that goal had a positive, negative, or neutral impact on the
      experiment. Results are paginated using cursor-based pagination.
  - name: Data API request stats
    description: Traffic statistics for requests sent to the Kameleoon Data API.
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Use these
      statistics to understand your website's audience and adjust your segments.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /personalizations/{personalizationId}/results/share:
    post:
      tags:
        - Personalization
      summary: Share personalization results
      description: >-
        Create shared request for viewing personalization's result page without
        authorization
      operationId: share-personalization-results
      parameters:
        - in: path
          name: personalizationId
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataRequestParams'
        required: true
      responses:
        '200':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SharedResultsOutput'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Bad Request
        '401':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unauthorized
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Forbidden
        '404':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Not Found
        '422':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unprocessable Content
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Locked
        '429':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Too Many Requests
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    DataRequestParams:
      type: object
      properties:
        allVariationsData:
          type: boolean
          default: false
          description: Set to true to include data from all variations at once.
        bayesian:
          type: boolean
          default: false
          description: >-
            Enables the current Bayesian result probability for the experiment
            in the report.
        breakdown:
          description: >-
            Parameter by which you want to segment the report, instead of by
            time interval. When the request specifies this field, the report
            ignores the interval field. A request accepts only one breakdown
            object.
          oneOf:
            - $ref: '#/components/schemas/Breakdown'
            - $ref: '#/components/schemas/ConversionMetadataBreakdownIO'
            - $ref: '#/components/schemas/CrossCampaignBreakdownIO'
            - $ref: '#/components/schemas/CustomDatumBreakdownIO'
            - $ref: '#/components/schemas/IntervalBreakdownIO'
        callbackUrl:
          type: string
          description: Callback URL that you want to send the data response to.
        dateIntervals:
          type: array
          description: >-
            Date boundaries to include only the results from the specified time
            period(s).
          items:
            $ref: '#/components/schemas/DateInterval'
        enabledMultipleTesting:
          type: boolean
          default: false
          description: >-
            Enables multiple testing correction for the experiment in the
            report.
        filters:
          type: array
          description: List of filters to apply to the data included in the report.
          items:
            oneOf:
              - $ref: '#/components/schemas/AdBlockerFilter'
              - $ref: '#/components/schemas/BrowserFilter'
              - $ref: '#/components/schemas/BrowserLanguageFilter'
              - $ref: '#/components/schemas/ContaminatedVisitorFilter'
              - $ref: '#/components/schemas/ConversionMetadataFilter'
              - $ref: '#/components/schemas/ConversionsFilter'
              - $ref: '#/components/schemas/CustomDataFilter'
              - $ref: '#/components/schemas/DayFilter'
              - $ref: '#/components/schemas/DeviceTypeFilter'
              - $ref: '#/components/schemas/ExperimentDataFilter'
              - $ref: '#/components/schemas/FirstReferrerFilter'
              - $ref: '#/components/schemas/KeyPageFilter'
              - $ref: '#/components/schemas/LandingPageURLFilter'
              - $ref: '#/components/schemas/NewVisitorFilter'
              - $ref: '#/components/schemas/NumberPagesFilter'
              - $ref: '#/components/schemas/NumberVisitsFilter'
              - $ref: '#/components/schemas/OperatingSystemFilter'
              - $ref: '#/components/schemas/PageTitleFilter'
              - $ref: '#/components/schemas/PageURLFilter'
              - $ref: '#/components/schemas/PersonalizationDataFilter'
              - $ref: '#/components/schemas/ReferrerURLFilter'
              - $ref: '#/components/schemas/SdkFilter'
              - $ref: '#/components/schemas/SinceLastVisitFilter'
              - $ref: '#/components/schemas/TargetingSegmentFilter'
              - $ref: '#/components/schemas/TemperatureFilter'
              - $ref: '#/components/schemas/TimeSlotFilter'
              - $ref: '#/components/schemas/TimeSpentFilter'
              - $ref: '#/components/schemas/TrafficFilter'
              - $ref: '#/components/schemas/WeatherFilter'
              - $ref: '#/components/schemas/WeekdayFilter'
        goalIdsCuped:
          type: array
          description: |-
            Specifies which CUPED goals to include in the report.
            Use an empty list [] to exclude all CUPED goals.
            Use null to include all CUPED goals.
            Use a list of CUPED goal IDs [123, 456] to include only those goals.
          items:
            type: integer
            format: int64
        goalsIds:
          type: array
          description: |-
            Specifies which goals to include in the report.
            Use an empty list [] to exclude all goals.
            Use null to include all goals.
            Use a list of goal IDs [123, 456] to include only those goals.
          items:
            type: integer
            format: int64
        interval:
          type: string
          deprecated: true
          description: |-
            Time interval by which the report segments data.
            Deprecated. Use breakdown with IntervalBreakdown type instead.
          enum:
            - MINUTE
            - HOUR
            - DAY
            - WEEK
            - MONTH
            - YEAR
        referenceVariationId:
          type: string
          description: >-
            Unique ID of the variation that you want to use as the reference
            variation.
        sequentialTesting:
          type: boolean
          default: false
          description: >-
            Enables the sequential testing result for the experiment in the
            report.
        visitorData:
          type: boolean
          default: false
          description: >-
            Set to true to only include data from unique visitors. By default,
            the report includes all visitor data.
      required:
        - dateIntervals
    SharedResultsOutput:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
        method:
          type: string
          enum:
            - GET
            - HEAD
            - POST
            - PUT
            - DELETE
            - CONNECT
            - TRACE
            - OPTIONS
            - PATCH
            - QUERY
        path:
          type: string
        payload:
          $ref: '#/components/schemas/DataRequestParams'
        url:
          type: string
    ExternalResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
    Breakdown:
      type: object
      description: >-
        Breakdown request argument for splitting data. A request accepts only
        one breakdown object.
      discriminator:
        propertyName: breakdownType
      properties:
        type:
          type: string
          description: >-
            Type of breakdown. Types CUSTOM_DATUM and CROSS_CAMPAIGN have
            additional fields.
          enum:
            - BROWSER
            - CUSTOM_DATUM
            - DEVICE_TYPE
            - NEW_VISITOR
            - GOAL_REACHED
            - PAGE_URL
            - FIRST_REFERRER
            - ORIGIN_TYPE
            - OS
            - PAGE_TITLE
            - NUMBER_PAGES
            - LANDING_PAGE_URL
            - AD_BLOCKER
            - DAY_OF_WEEK
            - DAYS_OF_WEEK
            - VISIT_DURATION
            - WEATHER_CODE
            - DAY
            - TEMPERATURE
            - NUMBER_VISITS
            - FIRST_REFERRER_URL
            - KEY_PAGE
            - TARGETING_SEGMENT
            - TIME_SINCE_PREVIOUS_VISIT
            - COUNTRY
            - REGION
            - CITY
            - LANGUAGE
            - LANDING_PAGE
            - REFERRER
            - LOCALE_LANGUAGE_CODE
            - PERSONALIZATION_UNEXPOSITION_CAUSE
            - CROSS_CAMPAIGN
            - SDK
            - SDK_VERSION
            - INTERVAL
            - CONVERSION_METADATA
    ConversionMetadataBreakdownIO:
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            metadatas:
              type: array
              description: >-
                The goal ID and index of the custom data. Each entry belongs to
                the single breakdown in the request, not to a separate
                breakdown.
              items:
                $ref: '#/components/schemas/ConversionMetadata'
      required:
        - metadatas
    CrossCampaignBreakdownIO:
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            experiments:
              type: array
              description: >-
                Experiment IDs of the experiments to use to segment the data.
                Could be empty if the request specifies the personalizations
                field.
              items:
                type: integer
                format: int32
            personalizations:
              type: array
              description: >-
                Personalization IDs of the personalizations to use to segment
                the data. Could be empty if the request specifies the
                experiments field.
              items:
                type: integer
                format: int32
    CustomDatumBreakdownIO:
      allOf:
        - $ref: '#/components/schemas/Breakdown1'
        - type: object
          properties:
            index:
              type: integer
              format: int32
              description: The index of the custom data to use to segment the data.
      required:
        - index
    IntervalBreakdownIO:
      allOf:
        - $ref: '#/components/schemas/Breakdown'
        - type: object
          properties:
            interval:
              type: string
              description: >-
                Date interval type to use to segment the data. Possible values:
                HOUR, DAY, WEEK, MONTH, YEAR
              enum:
                - MINUTE
                - HOUR
                - DAY
                - WEEK
                - MONTH
                - YEAR
    DateInterval:
      type: object
      description: Timestamps interval without timezone
      properties:
        end:
          type: string
          format: date-time
          description: End timestamp
        start:
          type: string
          format: date-time
          description: Start timestamp
    AdBlockerFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
    BrowserFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CHROME
                  - EDGE
                  - FIREFOX
                  - SAFARI
                  - OPERA
                  - OTHERS
              minItems: 1
            include:
              type: boolean
      required:
        - values
    BrowserLanguageFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - AB
                  - AA
                  - AF
                  - AK
                  - SQ
                  - AM
                  - AR
                  - AN
                  - HY
                  - AS
                  - AV
                  - AE
                  - AY
                  - AZ
                  - BM
                  - BA
                  - EU
                  - BE
                  - BN
                  - BH
                  - BI
                  - BS
                  - BR
                  - BG
                  - MY
                  - CA
                  - CH
                  - CE
                  - NY
                  - ZH
                  - CV
                  - KW
                  - CO
                  - CR
                  - HR
                  - CS
                  - DA
                  - DV
                  - NL
                  - DZ
                  - EN
                  - EO
                  - ET
                  - EE
                  - FO
                  - FJ
                  - FI
                  - FR
                  - FF
                  - GL
                  - KA
                  - DE
                  - EL
                  - GN
                  - GU
                  - HT
                  - HA
                  - HE
                  - HZ
                  - HI
                  - HO
                  - HU
                  - IA
                  - ID
                  - IE
                  - GA
                  - IG
                  - IK
                  - IO
                  - IS
                  - IT
                  - IU
                  - JA
                  - JV
                  - KL
                  - KN
                  - KR
                  - KS
                  - KK
                  - KM
                  - KI
                  - RW
                  - KY
                  - KV
                  - KG
                  - KO
                  - KU
                  - KJ
                  - LA
                  - LB
                  - LG
                  - LI
                  - LN
                  - LO
                  - LT
                  - LU
                  - LV
                  - GV
                  - MK
                  - MG
                  - MS
                  - ML
                  - MT
                  - MI
                  - MR
                  - MH
                  - MN
                  - NA
                  - NV
                  - ND
                  - NE
                  - NG
                  - NB
                  - NN
                  - 'NO'
                  - II
                  - NR
                  - OC
                  - OJ
                  - CU
                  - OM
                  - OR
                  - OS
                  - PA
                  - PI
                  - FA
                  - PL
                  - PS
                  - PT
                  - QU
                  - RM
                  - RN
                  - RO
                  - RU
                  - SA
                  - SC
                  - SD
                  - SE
                  - SM
                  - SG
                  - SR
                  - GD
                  - SN
                  - SI
                  - SK
                  - SL
                  - SO
                  - ST
                  - ES
                  - SU
                  - SW
                  - SS
                  - SV
                  - TA
                  - TE
                  - TG
                  - TH
                  - TI
                  - BO
                  - TK
                  - TL
                  - TN
                  - TO
                  - TR
                  - TS
                  - TT
                  - TW
                  - TY
                  - UG
                  - UK
                  - UR
                  - UZ
                  - VE
                  - VI
                  - VO
                  - WA
                  - CY
                  - WO
                  - FY
                  - XH
                  - YI
                  - YO
                  - ZA
                  - ZU
              minItems: 1
            include:
              type: boolean
      required:
        - values
    ContaminatedVisitorFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
    ConversionMetadataFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            goalId:
              type: integer
              format: int64
            index:
              type: integer
              format: int32
            value:
              type: string
    ConversionsFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
              minItems: 1
            include:
              type: boolean
      required:
        - values
    CustomDataFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            customDataId:
              type: integer
              format: int64
            value:
              type: string
      required:
        - customDataId
    DayFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
    DeviceTypeFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - DESKTOP
                  - TABLET
                  - PHONE
                  - OTHERS
              minItems: 1
            include:
              type: boolean
      required:
        - values
    ExperimentDataFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            id:
              type: integer
              format: int64
            variationIds:
              type: array
              items:
                type: integer
                format: int64
              minItems: 1
              uniqueItems: true
            include:
              type: boolean
      required:
        - id
        - variationIds
    FirstReferrerFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int32
              minItems: 1
            include:
              type: boolean
      required:
        - values
    KeyPageFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                type: integer
                format: int32
    LandingPageURLFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
              minItems: 1
            include:
              type: boolean
      required:
        - values
    NewVisitorFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            visitorsType:
              type: string
              enum:
                - NEW_VISITORS
                - RETURNING_VISITORS
    NumberPagesFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
              minItems: 1
      required:
        - values
    NumberVisitsFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
              minItems: 1
            include:
              type: boolean
      required:
        - values
    OperatingSystemFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - WINDOWS
                  - MAC_OS
                  - I_OS
                  - LINUX
                  - ANDROID
                  - WINDOWS_PHONE
                  - OTHERS
              minItems: 1
            include:
              type: boolean
      required:
        - values
    PageTitleFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
              minItems: 1
            include:
              type: boolean
      required:
        - values
    PageURLFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
              minItems: 1
            include:
              type: boolean
      required:
        - values
    PersonalizationDataFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            exposition:
              type: string
              enum:
                - ALL
                - EXPOSED
                - NOT_EXPOSED
            id:
              type: integer
              format: int64
            include:
              type: boolean
      required:
        - id
    ReferrerURLFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
              minItems: 1
            include:
              type: boolean
      required:
        - values
    SdkFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                type: string
                enum:
                  - JAVA
                  - ANDROID
                  - GO
                  - DOTNET
                  - PYTHON
                  - RUBY
                  - IOS
                  - PHP
                  - JAVASCRIPT
                  - NODEJS
                  - REACT
                  - RUST
              minItems: 1
              uniqueItems: true
      required:
        - values
    SinceLastVisitFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
              minItems: 1
            include:
              type: boolean
      required:
        - values
    TargetingSegmentFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
              minItems: 1
            include:
              type: boolean
      required:
        - values
    TemperatureFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            from:
              type: integer
              format: int32
            include:
              type: boolean
            param:
              type: string
              enum:
                - GREATER
                - LOWER
                - EQUAL
                - BETWEEN
            to:
              type: integer
              format: int32
      required:
        - from
        - param
    TimeSlotFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            visitorCalendar:
              type: boolean
            values:
              type: array
              items:
                type: array
                items:
                  type: string
    TimeSpentFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer1'
              minItems: 1
            include:
              type: boolean
      required:
        - values
    TrafficFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                type: string
                enum:
                  - SEO
                  - DIRECT
                  - SEM
                  - EMAIL
                  - AFFILIATION
              minItems: 1
      required:
        - values
    WeatherFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CLEAR_SKY
                  - CLOUDS
                  - RAIN
                  - THUNDERSTORM
                  - SNOW
                  - HAIL
                  - WIND
                  - ATMOSPHERIC_DISTURBANCES
              minItems: 1
            include:
              type: boolean
      required:
        - values
    WeekdayFilter:
      allOf:
        - $ref: '#/components/schemas/Filter'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - SUNDAY
                  - MONDAY
                  - TUESDAY
                  - WEDNESDAY
                  - THURSDAY
                  - FRIDAY
                  - SATURDAY
              minItems: 1
            include:
              type: boolean
            visitorCalendar:
              type: boolean
      required:
        - values
    ConversionMetadata:
      type: object
      properties:
        goalId:
          type: integer
          format: int64
        index:
          type: integer
          format: int32
    Breakdown1:
      type: object
      description: >-
        Breakdown request argument for splitting data. A request accepts only
        one breakdown object.
      discriminator:
        propertyName: breakdownType
      properties:
        type:
          type: string
          description: >-
            Type of breakdown. The CUSTOM_DATUM and CROSS_CAMPAIGN types have
            additional fields.
          enum:
            - BROWSER
            - CUSTOM_DATUM
            - DEVICE_TYPE
            - NEW_VISITOR
            - GOAL_REACHED
            - PAGE_URL
            - FIRST_REFERRER
            - ORIGIN_TYPE
            - OS
            - PAGE_TITLE
            - NUMBER_PAGES
            - LANDING_PAGE_URL
            - AD_BLOCKER
            - DAY_OF_WEEK
            - DAYS_OF_WEEK
            - VISIT_DURATION
            - WEATHER_CODE
            - DAY
            - TEMPERATURE
            - NUMBER_VISITS
            - FIRST_REFERRER_URL
            - KEY_PAGE
            - TARGETING_SEGMENT
            - TIME_SINCE_PREVIOUS_VISIT
            - COUNTRY
            - REGION
            - CITY
            - LANGUAGE
            - LANDING_PAGE
            - REFERRER
            - LOCALE_LANGUAGE_CODE
            - PERSONALIZATION_UNEXPOSITION_CAUSE
            - CROSS_CAMPAIGN
            - SDK
            - SDK_VERSION
            - INTERVAL
            - CONVERSION_METADATA
    Filter:
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
      required:
        - type
    FilterContainer:
      type: object
      properties:
        param:
          type: string
          enum:
            - GREATER
            - LOWER
            - EQUAL
            - BETWEEN
        value:
          type: integer
          format: int32
        unit:
          type: string
          enum:
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
            - WEEKS
    FilterContainer1:
      type: object
      properties:
        param:
          type: string
          enum:
            - GREATER
            - LOWER
            - EQUAL
            - EXACT
            - INCLUDE
            - LOWER_OR_EQUAL
            - GREATER_OR_EQUAL
            - 'TRUE'
            - 'FALSE'
            - UNDEFINED
            - BETWEEN
        value:
          type: integer
          format: int32
        unit:
          type: string
          enum:
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
            - WEEKS
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````